Profile Cookies Set
curl --request POST \
--url https://api.example.com/profiles/{profile_id}/cookies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": true,
"expirationDate": 123,
"hostOnly": true,
"secure": true,
"session": true,
"storeId": "<string>",
"expires": 123,
"partitionKey": "<string>"
}
],
"source_format": "playwright",
"mode": "replace"
}
'import requests
url = "https://api.example.com/profiles/{profile_id}/cookies"
payload = {
"cookies": [
{
"name": "<string>",
"value": "<string>",
"domain": "<string>",
"path": "<string>",
"httpOnly": True,
"expirationDate": 123,
"hostOnly": True,
"secure": True,
"session": True,
"storeId": "<string>",
"expires": 123,
"partitionKey": "<string>"
}
],
"source_format": "playwright",
"mode": "replace"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
cookies: [
{
name: '<string>',
value: '<string>',
domain: '<string>',
path: '<string>',
httpOnly: true,
expirationDate: 123,
hostOnly: true,
secure: true,
session: true,
storeId: '<string>',
expires: 123,
partitionKey: '<string>'
}
],
source_format: 'playwright',
mode: 'replace'
})
};
fetch('https://api.example.com/profiles/{profile_id}/cookies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"cookies_count": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}profiles
Profile Cookies Set
POST
/
profiles
/
{profile_id}
/
cookies
Profile Cookies Set
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Body
application/json
Was this page helpful?
⌘I

